const express = require('express');
const pageController = require('../../../controllers/page.controller');
const validate = require('../../../middlewares/validate');
const auth = require('../../../middlewares/auth');
const pageValidation = require('../../../validations/page.validation');
const uploadFile = require('../../../middlewares/imageUpload.middleware');
const router = express.Router();

router.use(auth('manageAdmin'));
router.post('/create', validate(pageValidation.addPage), pageController.createPage);
router.get('/get', pageController.getPages);
router.get('/:slug', pageController.getPageBySlug);
router.get('/edit/:id', validate(pageValidation.editPage),pageController.editPage);
router.put('/update/:id', validate(pageValidation.updatePage),uploadFile('imageUrl'), pageController.updatePage);
router.delete('/delete/:id', validate(pageValidation.deletePage), pageController.deletePage);
router.get('/section/:id', pageController.getSectionById);
router.patch('/remove-image-by-section/:id', pageController.removeImageBySectionId);
router.patch('/remove-image-by-block/:id/:pageId', pageController.removeImageByblockId);
router.patch('/remove-block/:id/:pageId', pageController.removeBlock);
module.exports = router;
